%global commit 0d68f59c52a94734160ef644110bc918d6c132ed
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           IQmol
Version:        2.2.0
Release:        6%{?dist}
Summary:        A free open-source molecular editor and visualization package
Group:          Applications/Engineering
License:        BSD and GPLv2+ and GPLv3+
URL:            http://iqmol.org
Source0:        https://github.com/nutjunkie/IQmol/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
# Build in Fedora
Patch0:         IQmol-2.2.0-fedora.patch
# Fix includes
Patch1:         IQmol-2.2.0-includes.patch
# Support OpenBabel 2.3.2
Patch2:         IQmol-2.2.0-openbabel.patch
# Fix types on ARM (use QT real type)
Patch3:         IQmol-2.2.0-qreal.patch
# Fix build against QsLog in Fedora
Patch4:         IQmol-2.2.0-qslog.patch


BuildRequires:  qt4-devel
BuildRequires:  gcc-gfortran
BuildRequires:  boost-devel
BuildRequires:  openbabel-devel
BuildRequires:  openssl-devel
BuildRequires:  libssh2-devel
BuildRequires:  libQGLViewer-devel
BuildRequires:  gl2ps-devel
BuildRequires:  desktop-file-utils
BuildRequires:  QMsgBox-devel
BuildRequires:  QsLog-devel

%description
IQmol is a free open-source molecular editor and visualization
package. It offers a range of features including a molecular editor,
surface generation (orbitals and densities) and animations
(vibrational modes and reaction pathways).

%package samples
Summary:       Sample structures for IQmol
BuildArch:     noarch

%description samples
This package contains samples for IQmol.

%prep
%setup -q -n IQmol-%{commit}
%patch0 -p1 -b .fedora
%patch1 -p1 -b .inc
%patch2 -p1 -b .openbabel
%patch3 -p1 -b .qreal
%patch4 -p1 -b .qslog
# Fix executable permissions
find . -type f -exec chmod 644 {} \;
# Remove bundled GL2PS
rm -rf src/GL2PS
# Remove bundled QMsgBox
rm -rf src/QMsgBox
# Remove bundled QsLog
rm -rf src/QsLog

%build
cd src
# Generate QT make file
%{_qt4_qmake} -unix -o Makefile IQmol.pro
# Make
make %{?_smp_mflags}

%install
# Binary
install -D -p -m 755 IQmol %{buildroot}%{_bindir}/IQmol
# Icon and desktop file
install -D -p -m 644 src/resources/icons/iqmol.png %{buildroot}%{_datadir}/pixmaps/IQmol.png
install -D -p -m 644 src/resources/iqmol.desktop %{buildroot}%{_datadir}/applications/IQmol.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/IQmol.desktop

%files
%doc LICENSE README
%{_datadir}/applications/IQmol.desktop
%{_datadir}/pixmaps/IQmol.png
%{_bindir}/IQmol

%files samples
%doc samples/*

%changelog
* Wed Dec 18 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-6
- Review fixes.

* Mon Sep 16 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-5
- Removed bundled QsLog.

* Fri Aug 30 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-4
- Removed bundled QMsgBox.

* Thu Aug 08 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-3
- Fix build on ARM.

* Fri Jul 19 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-2
- Patch to get IQmol to build against OpenBabel 2.3.2.

* Thu Jul 18 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0.

* Fri Jul 12 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.1.0-1
- First release.
